// Not linking in libc - but I like some of its functions.  Some tiny braindead reimplementations of
// useful things.
// Matt Evans 28Mar05

#ifndef _LIBCFNS_H
#define _LIBCFNS_H

#define SOH 1
#define STX 2
#define ACK 6
#define EOT 4
#define NUL 0
#define CAN 24
#define NAK 21
#define CPMEOF 28

char *skipwhitespace(char *str);
int strncmp(char *a, char *b, int len);
int strncmp(char *a, char *b, int len);
int atoh(char *c, char **end, int *success);
void strcpy(char *dest, char *from);
void memcpy(char *dest, char *from, int num);
void memset(char *dest, int val, int len);
void usleep(int usecs);
unsigned int random(void);

int uart_getbyte_timeout(int millisecs);
int uart_getbuffer_timeout(unsigned char *buffer, int len, int millisecs);

#endif
