// xmodem upload/download code
// (c) Matt Evans 10 April 2005

#ifndef _XMODEM_H
#define _XMODEM_H

#define SIZEOF_1K (3+1024+2)
#define SIZEOF_128 (3+128+2)

struct pkt128
{
  char soh;
  char seq1;
  char seq2;
  // no union, it word-aligns it :(
  char data[128];
  char crc1;
  char crc2;
};

struct pkt1K
{
  char soh;
  char seq1;
  char seq2;
  // no union, it word-aligns it :(
  char data[1024];
  char crc1;
  char crc2;
};

void xmodem_init(void);

void xmodem_send(unsigned char *buffer, int len);
void xmodem_receive(unsigned char *buffer);

#endif
